Bug 240610 - clamav-milter socket doesn't agree with sendmail.cf
clamav-milter socket doesn't agree with sendmail.cf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 15:14 EDT by G.Wolfe Woodbury
Modified: 2008-06-08 11:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-08 11:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2007-05-18 15:14:38 EDT
Description of problem:
   when starting a new install of clamav-milter, it complains that it's socket
definition is not in agreement with the definition of the socket to use that is
in the sendmail.cf (sendmail.mc) file.


Version-Release number of selected component (if applicable):
   clamav-0.90.2-1
   sendmail-cf-8.14.1-2


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
  this belongs jointly to the clamav and sendmail folks.
Comment 1 Nigel Horne 2007-06-09 16:31:41 EDT
What's in your /etc/sysconfig/clamav-milter file?

What's the output of "fgrep clam /etc/mail/sendmail.cf"?
Comment 2 G.Wolfe Woodbury 2007-11-22 13:21:56 EST
/etc/sysconfig/clamav-milter:

CLAMAV_FLAGS='-lo -c /etc/clamd.d/milter.conf
local:/var/run/clamav-milter/clamav.sock'


sendmail.cf doesn't have it installed by default; you have to install
sendmail-cf RPM and then dig for the /usr/share/doc/clamav-milter<ver>/INSTALL
file to be told what should be added to the sendmail.mc file.

That information (in the INSTALL file) is _incorrect_ and needs to be changed.

What would be best is to have the clamav-milter package ensure that sendmail.cf
is in place, and then to either make the additions itself (maybe via an m4
include) or to mail a note to root telling her that the addition of lines to the
sendmail.mc file are needed.  There is "too much" manual intervention required
by clamav-milter (with no clear description provided) for most users to handle.
Comment 3 G.Wolfe Woodbury 2007-11-22 13:23:52 EST
fixing status to ASSIGNED
Comment 4 Fedora Update System 2008-01-02 20:40:33 EST
clamav-0.92-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'
Comment 5 Fedora Update System 2008-01-02 20:47:31 EST
clamav-0.92-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'
Comment 6 Fedora Update System 2008-01-06 20:17:28 EST
clamav-0.92-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'
Comment 7 Fedora Update System 2008-01-06 20:27:26 EST
clamav-0.92-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clamav'
Comment 8 Fedora Update System 2008-01-22 10:33:00 EST
clamav-0.92-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-22 10:54:45 EST
clamav-0.92-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Bug Zapper 2008-05-13 22:55:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 G.Wolfe Woodbury 2008-06-08 11:40:33 EDT
closing bug as the newer version has clearer instructions and it may have just
been a PEBKAC on my part.

Note You need to log in before you can comment on or make changes to this bug.